Last modified: 2013-12-03 17:47:04 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 57780 - items in the Flow action menu have their background icon misaligned in RTL
items in the Flow action menu have their background icon misaligned in RTL
Status: RESOLVED FIXED
Product: MediaWiki extensions
Classification: Unclassified
Flow (Other open bugs)
unspecified
All All
: Unprioritized normal (vote)
: ---
Assigned To: Amir E. Aharoni
:
Depends on:
Blocks: rtl
  Show dependency treegraph
 
Reported: 2013-11-30 20:35 UTC by Amir E. Aharoni
Modified: 2013-12-03 17:47 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Amir E. Aharoni 2013-11-30 20:35:18 UTC
The background icon in the menu items under flow-actions-flyout, such as "Hide topic", "Delete topic", "Suppress topic" is misaligned in RTL wikis. I tested it on my own wiki in Hebrew.

In CSS I would change background-position to percentage to get CSSJanus to flip it, but it doesn't seem to work with LESS.
Comment 1 Bingle 2013-11-30 20:36:15 UTC
The WMF core features team tracks this bug on Mingle card https://mingle.corp.wikimedia.org/projects/flow/cards/546, but people from the community are welcome to contribute here and in Gerrit.
Comment 2 Amir E. Aharoni 2013-12-01 13:12:43 UTC
The problem, as I understand it, is on line 43 of Flow/modules/base/styles/mixins/buttonicon.less ( https://git.wikimedia.org/blob/mediawiki%2Fextensions%2FFlow/d0651218fa5986a04ee1090476073383c4f2068b/modules%2Fbase%2Fstyles%2Fmixins%2Fbuttonicon.less )

If I'm not mistaken, pixels are not flipped anywhere, but percentage can be flipped by CSSJanus in CSS. It doesn't seem to be flipped in LESS.
Comment 3 Gerrit Notification Bot 2013-12-02 18:16:33 UTC
Change 98552 had a related patch set uploaded by Amire80:
Fix menu icon position for RTL

https://gerrit.wikimedia.org/r/98552
Comment 4 Gerrit Notification Bot 2013-12-03 17:44:11 UTC
Change 98552 merged by jenkins-bot:
Fix menu icon position for RTL

https://gerrit.wikimedia.org/r/98552

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links